# $Revision: 1.29 $, $Date: 2012/03/03 08:15:16 $
Summary:	Inter Client Exchange library
Summary(pl.UTF-8):	Biblioteka wymiany między klientami
Name:		xorg-lib-libICE
Version:	1.0.8
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libICE-%{version}.tar.bz2
# Source0-md5:	471b5ca9f5562ac0d6eac7a0bf650738
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libICE
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inter Client Exchange library.

%description -l pl.UTF-8
Biblioteka wymiany między klientami.

%package devel
Summary:	Header files for libICE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libICE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libICE-devel

%description devel
Inter Client Exchange library.

This package contains the header files needed to develop programs that
use libICE.

%description devel -l pl.UTF-8
Biblioteka wymiany między klientami.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libICE.

%package static
Summary:	Static libICE library
Summary(pl.UTF-8):	Biblioteka statyczna libICE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libICE-static

%description static
Inter Client Exchange library.

This package contains the static libICE library.

%description static -l pl.UTF-8
Biblioteka wymiany między klientami.

Pakiet zawiera statyczną bibliotekę libICE.

%prep
%setup -q -n libICE-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libICE.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libICE.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/ICElib.html specs/ice.html
%attr(755,root,root) %{_libdir}/libICE.so
%{_libdir}/libICE.la
%dir %{_includedir}/X11/ICE
%{_includedir}/X11/ICE/*.h
%{_pkgconfigdir}/ice.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libICE.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libICE.spec,v $
Revision 1.29  2012/03/03 08:15:16  qboosh
- updated to 1.0.8

Revision 1.28  2011/02/02 17:28:10  sparky
- BR: docbook-dtd412-xml

Revision 1.27  2010/10/22 20:58:37  qboosh
- updated to 1.0.7

Revision 1.26  2009/09/29 16:05:34  qboosh
- added README to doc

Revision 1.25  2009/09/04 09:45:00  arekm
- up to 1.0.6

Revision 1.24  2009/01/09 16:09:51  qboosh
- ghost soname symlink
- updated macros BR

Revision 1.23  2009/01/06 20:37:01  arekm
- up to 1.0.5

Revision 1.22  2007/08/21 06:00:08  arekm
- up to 1.0.4

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/12/16 01:07:33  arekm
- up to 1.0.3

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/11/20 09:37:40  pluto
- release 2 (rebuild with P: *.la).

Revision 1.15  2006/10/13 21:29:50  qboosh
- updated to 1.0.2

Revision 1.14  2006/04/27 06:41:07  arekm
- up to 1.0.1

Revision 1.13  2006/03/08 21:56:32  qboosh
- release 1

Revision 1.12  2005/12/27 13:54:11  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 11:12:03  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 10:01:48  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/11/19 17:46:45  qboosh
- 0.99.1 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 13:13:51  qboosh
- switched to 0.99.0 from X11R7.0
- own /usr/include/X11/ICE dir

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.14  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.13  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.12  2004/05/22 15:51:01  qboosh
- pl, unifications

Revision 1.11  2004/05/18 11:21:03  grzegol
- updated to 6.3.3

Revision 1.10  2004/03/12 11:03:13  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.9  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.8  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.7  2004/03/06 12:11:36  pluto
- removed BR: libXau-devel (vide xextensions).

Revision 1.6  2004/03/06 11:37:32  pluto
- release 3.

Revision 1.5  2004/03/06 11:36:37  pluto
- BR:, R:

Revision 1.4  2004/03/05 00:06:39  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/03 00:04:06  adgor
- Bogus patch

Revision 1.1  2004/03/02 23:59:37  adgor
- Initial
